RELEM(8)

NAME
relem - read element status

SYNOPSIS
relem [ -a b.t.l ] [ -fvtb ] [ -m {0|1|2} ] [ -r eladdr.nel ] [ -l ]

DESCRIPTION

The relem program will send a READ ELEMENT STATUS command to all changers, or to the (optionally, with the -a option) named device.

SIMPLE OPTIONS

-a b.t.l
    Selects a specific ordinal SCSI address, where b is the logical SCSI bus, t is the SCSI target, and l is the SCSI logical unit number (LUN) on that target. See libscsi(8).

-f  generates full output (somewhat verbose).

-v  generates very verbose output.

-t  causes volume tags, if present, to be printed.

-b  causes the returned element status data to be dumped as hexadecimal codes rather than interpreted.

-l  Performs a complete LUN search for all SCSI adapters in the system when performing Autodetection. This argument is accepted on all systems, but does not have any effect on HP-UX systems. Due to the method used to scan for available devices on HP-UX systems, all accessible devices are always shown, and the -l option has no additional effect. On all other systems, the normal behavior is to start checking at LUN 0 for SCSI deivces. The first empty LUN found will end the search for a given target ID. With the -l option, all LUNS present on all target IDs for all SCSI busses in the system will be checked for jukeboxes. This can take a very long time and should therefore only be used when necessary. For example, a Fibre Channel adapter can support 126 target IDs, each of which may have 80 or more LUNs. Checking all LUNs on this single adapter may take over 10 minutes.

METHOD OPTIONS

-m 0
    all element status data is fetched in one call

-m 1
    element status data is fetched per element type (e.g., all drive elements are read at once, then all slot elements, etc.)

-m 2
    element data is fetched per element (which is the default method)

One trivial reason to specify these different ways of fetching element data is that the SCSI specification allows each one of these ways. A more important real reason is that some changers have bugs with respect to one way or another. For example, one changer may be accurate in reporting all elements in a class, but return all zeros if asked for all elements at once.

RANGE OPTIONS

-r  eladdr.nel is used to read a range of addresses, where eladdr is the starting decimal address (in the particular changer's numbering scheme) of the element to start from, and nel is the number of elements of status to read. Use changers to get the particular addresses used by your changer.

SEE ALSO
libscsi (8)